<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:91cb0f49-f811-493b-989c-f76c6482c743,g:7f29d403-08d5-48c9-ae1c-1c70453c9d79-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#PvpDisclosure"/>
  <link:presentationLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllAdjToCompMember" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember" xlink:href="tnl-20240322.xsd#tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember" xlink:href="tnl-20240322.xsd#tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember" xlink:href="tnl-20240322.xsd#tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember" xlink:href="tnl-20240322.xsd#tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember" xlink:href="tnl-20240322.xsd#tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember" xlink:href="tnl-20240322.xsd#tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember" xlink:href="tnl-20240322.xsd#tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllIndividualsMember" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllIndividualsMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_NoahBrodskyMember" xlink:href="tnl-20240322.xsd#tnl_NoahBrodskyMember"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllIndividualsMember" xlink:to="loc_tnl_NoahBrodskyMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_BradDettmerMember" xlink:href="tnl-20240322.xsd#tnl_BradDettmerMember"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllIndividualsMember" xlink:to="loc_tnl_BradDettmerMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
  </link:presentationLink>
</link:linkbase>
